# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get a list of payment providers In markets that support Pay by Bank transactions, you can use the API to get a list of available providers, such as banks. Use `GET /providers` to retrieve the list of providers for the country where you are making the payment. If your client selects a provider, you can use the provider's name to initiate a payment experience that connects directly to the chosen provider. No additional providers will be shown during checkout if you choose this approach. You must include the two-character ISO code for the country in the request parameters. ```curl curl --request GET \ --url 'https://api-mock.payments.jpmorgan.com/tsapi/paybybank/v2/providers?market=GB' \ --header 'Accept: application/json' ``` The successful response includes a list of `providers`. Within the `providers` object, you can see: - name: The exact name of the provider. You must use this to initiate the transaction. - accessType: The mechanism to access the provider. - authenticationUserType: Whether a user authenticates with the bank as a person or a business. - capabilities: The financial data the provider can aggregate and whether it can execute payments. - credentialsType: The type of credentials used when connecting to this provider, such as PASSWORD or THIRD_PARTY_APP. - currency: The default currency for the provider. - displayName: How the provider's name should appear in the UI. ```json { "providers": [ { "accessType": "OPEN_BANKING", "authenticationUserType": "BUSINESS", "authenticationFlow": "REDIRECT", "capabilities": [ "CREDIT_CARDS", "CHECKING_ACCOUNTS", "SAVINGS_ACCOUNTS", "IDENTITY_DATA", "TRANSFERS" ], "pisCapabilities": [ "FASTER_PAYMENTS" ], "credentialsType": "THIRD_PARTY_APP", "currency": "GBP", "displayName": "HSBC Kinetic", "fields": [], "financialInstitutionId": "a2f21124a09643ac97943e48dc3ee8cf", "financialInstitutionName": "HSBC Kinetic", "groupDisplayName": "HSBC", "images": { "icon": "https://www.jpmorgan.com/content/dam/jpmorgan/images/logos/jpm-logo-brown-062322.svg" }, "market": "GB", "multiFactor": false, "name": "uk-hsbc-kinetic-ob", "passwordHelpText": "", "popular": false, "status": "ENABLED", "transactional": true, "type": "BANK", "financialServices": [ { "segment": "BUSINESS", "shortName": "HSBC Kinetic Online" } ], "hasAuthenticationOptions": false, "healthStatus": { "providerLogin": { "status": "HEALTHY" } } } ] } ```